PYSURFER(1)

NAME
pysurfer - visualize cortical surface reconstruction from Freesurfer

DESCRIPTION
22:18:01: Warning: Mismatch between the program and library build versions detected. The library used 3.0 (wchar_t,compiler with C++ ABI 1010,wx containers,compatible with 2.8), and wxPython used 3.0 (wchar_t,compiler with C++ ABI 1009,wx containers,compatible with 2.8). usage: pysurfer subject_id hemisphere surface [options]

PySurfer is a package for visualization and interaction with cortical surface representations of neuroimaging data from Freesurfer.

The command-line program pysurfer is designed to largely replicate Freesufer's tksurfer command-line interface in the format and style of arguments it accepts, and, like tksurfer, invoking it will initialize a visualization in an external window and begin an IPython session in the terminal, through which the visualization can be manipulated.

The visualization interface is exposed through methods on the `brain' variable that will exist in IPython namespace when the program finishes loading. Please see the PySurfer documentation for more information about how to interact with the Brain object.

  positional arguments:

subject_id
    subject id as in subjects dir

hemi
    hemisphere to load

surf
    surface mesh (e.g. 'pial', 'inflated')

  optional arguments:

-h, --help
    show this help message and exit

-morphometry MEAS
    load morphometry file (e.g. thickness, curvature)

-annotation ANNOT
    load annotation (by name or filepath)

-label LABEL
    load label (by name or filepath

-borders
    only show label/annot borders

-overlay FILE
    load scalar overlay file

-range MIN MAX
    overlay threshold and saturation point

-min MIN
    overlay threshold

-max MAX
    overlay saturation point

-sign {abs,pos,neg}
    overlay sign

-name NAME
    name to use for the overlay

-size [SIZE]
    size of the display window (in pixels)

-background COLOR
    background color for display

-foreground COLOR
    foreground color for display

-cortex COLOR
    colormap or color for rendering the cortex

-alpha COLOR
    specifies opacity for the cortical surface

-title TITLE
    title to use for the figure

-views [VIEWS [VIEWS ...]]
    view list (space-separated) to use